osl::game_playing::ThreadForEachMove Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::game_playing::ThreadForEachMove Class Reference

相手の手の予測1つにつき1thread More...

`#include <threadForEachMove.h>`

Inheritance diagram for osl::game_playing::ThreadForEachMove:
[legend]
Collaboration diagram for osl::game_playing::ThreadForEachMove:
[legend]

## Public Member Functions
| ThreadForEachMove (int max_threads=1)
| ~ThreadForEachMove ()
void | setMaxThreads (int new_max_threads)
void | startSpeculative (const boost::shared_ptr< GameState > state, const SearchPlayer &main_player)
void | stopOtherThan (Move)
void | stopAll ()
const MoveWithComment | waitResult (Move last_move, int wait_for, SearchPlayer &main_player, int)
void | selectBestMoveCleanUp ()
Public Member Functions inherited from osl::game_playing::SpeculativeModel
virtual | ~SpeculativeModel ()
virtual const HashKey | searchState () const =0
virtual const MoveWithComment | waitResult (Move last_move, search::TimeAssigned, SearchPlayer &main_player, int byoyomi)=0
void | clearResource ()

## Private Attributes
boost::scoped_ptr < SpeculativeThread > | speculative_thread0
boost::scoped_ptr < SpeculativeThread > | speculative_thread1
int | max_threads

## Detailed Description

相手の手の予測1つにつき1thread

Definition at line 19 of file threadForEachMove.h.

## Constructor & Destructor Documentation

osl::game_playing::ThreadForEachMove::ThreadForEachMove | ( | int | max_threads = `1`) |  |
| explicit

osl::game_playing::ThreadForEachMove::~ThreadForEachMove | ( | ) |  |

## Member Function Documentation

void osl::game_playing::ThreadForEachMove::selectBestMoveCleanUp | ( | ) |  |
| virtual

Implements osl::game_playing::SpeculativeModel.

void osl::game_playing::ThreadForEachMove::setMaxThreads | ( | int | new_max_threads) |  |
| inlinevirtual

Reimplemented from osl::game_playing::SpeculativeModel.

Definition at line 29 of file threadForEachMove.h.

References max_threads.

void osl::game_playing::ThreadForEachMove::startSpeculative | ( | const boost::shared_ptr< GameState > | state,
|  | const SearchPlayer & | main_player
| ) |  |
| virtual

Implements osl::game_playing::SpeculativeModel.

void osl::game_playing::ThreadForEachMove::stopAll | ( | ) |  |
| virtual

Implements osl::game_playing::SpeculativeModel.

void osl::game_playing::ThreadForEachMove::stopOtherThan | ( | Move | ) |  |
| virtual

Implements osl::game_playing::SpeculativeModel.

const MoveWithComment osl::game_playing::ThreadForEachMove::waitResult | ( | Move | last_move,
|  | int | wait_for,
|  | SearchPlayer & | main_player,
|  | int |
| ) |  |

## Member Data Documentation

int osl::game_playing::ThreadForEachMove::max_threads
| private

Definition at line 24 of file threadForEachMove.h.

Referenced by setMaxThreads().

boost::scoped_ptr<SpeculativeThread> osl::game_playing::ThreadForEachMove::speculative_thread0
| private

Definition at line 21 of file threadForEachMove.h.

boost::scoped_ptr<SpeculativeThread> osl::game_playing::ThreadForEachMove::speculative_thread1
| private

Definition at line 23 of file threadForEachMove.h.

The documentation for this class was generated from the following file:

- threadForEachMove.h